﻿@model WebApp.ViewModels.Admin.CarriageAdminViewModel
@{
    ViewBag.Title = "Edit carriage";
}

<h2>Edit a carriage.</h2>

@using (Html.BeginForm("EditCarriage", "Admin", FormMethod.Post, new { @class = "form-horizontal" }))
{
    @Html.ValidationSummary(false)

    <div class="form-group">
        @Html.Label("Number:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.Number, new { @class = "form-control", type = "number" })
        </div>
    </div>
    <div class="form-group">
        @Html.Label("Type:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.TextBoxFor(t => t.Type, new { @class = "form-control", type = "number" })
        </div>
    </div>
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            @Html.CheckBoxFor(t => t.IsDeleted) Is Deleted
        </div>
    </div>
    @Html.HiddenFor(t => t.Id)
    @Html.HiddenFor(t => t.TrainId)
    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <button type="submit" class="btn btn-default">Update</button>
        </div>
    </div>
}